Loading...
Searching...
No Matches
TimeRasterUpdateEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| TimeRasterUpdateEvent (const std::vector< volk::vector< double > > dataPoints, const uint64_t numDataPoints)
| ~TimeRasterUpdateEvent () override
int | which () const
const std::vector< const double * > | getPoints () const
uint64_t | getNumDataPoints () const
bool | getRepeatDataFlag () const

## Static Public Member Functions

static QEvent::Type | Type ()

## Constructor & Destructor Documentation

## TimeRasterUpdateEvent()

TimeRasterUpdateEvent::TimeRasterUpdateEvent | ( | const std::vector< volk::vector< double > > | dataPoints,
|  | const uint64_t | numDataPoints )

## ~TimeRasterUpdateEvent()

TimeRasterUpdateEvent::~TimeRasterUpdateEvent | ( |  | ) |

override

## Member Function Documentation

## getNumDataPoints()

uint64_t TimeRasterUpdateEvent::getNumDataPoints | ( |  | ) | const

## getPoints()

const std::vector< const double * > TimeRasterUpdateEvent::getPoints | ( |  | ) | const

## getRepeatDataFlag()

bool TimeRasterUpdateEvent::getRepeatDataFlag | ( |  | ) | const

## Type()

QEvent::Type TimeRasterUpdateEvent::Type | ( |  | ) |

inline static

References SpectrumUpdateEventType.

## which()

int TimeRasterUpdateEvent::which | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h